# UserInterfaceControl

#### abstract new Cesium.UserInterfaceControl(terria)
MapGIS/Tools/Navigation/UserInterfaceControl.js 14

The view-model for a control in the user interface

Name | Type | Description
--- | --- | ---
`terria` | Object | The Terria instance.

### Members

#### cssClass : String
MapGIS/Tools/Navigation/UserInterfaceControl.js 57

Gets or sets the CSS class of the control. This property is observable.

#### isActive : Boolean
MapGIS/Tools/Navigation/UserInterfaceControl.js 64

Gets or sets the property describing whether or not the control is in the active state. This property is observable.

#### name : String
MapGIS/Tools/Navigation/UserInterfaceControl.js 26

Gets or sets the name of the control which is set as the controls title. This property is observable.

#### svgHeight : Number
MapGIS/Tools/Navigation/UserInterfaceControl.js 45

Gets or sets the height of the svg icon. This property is observable.

#### svgIcon : Object
MapGIS/Tools/Navigation/UserInterfaceControl.js 39

Gets or sets the svg icon of the control. This property is observable.

#### svgWidth : Number
MapGIS/Tools/Navigation/UserInterfaceControl.js 51

Gets or sets the width of the svg icon. This property is observable.

#### terria : Object
MapGIS/Tools/Navigation/UserInterfaceControl.js 75

Gets the Terria instance.

#### text : String
MapGIS/Tools/Navigation/UserInterfaceControl.js 33

Gets or sets the text to be displayed in the UI control. This property is observable.

### Methods

#### abstract protected activate()
MapGIS/Tools/Navigation/UserInterfaceControl.js 97

When implemented in a derived class, performs an action when the user clicks on this control.